variables:
  GLUON_BRANCH: "nightly"

stages:
  - build
  - sign
  - deploy

build:ar71xx-generic:
  stage: build
  tags:
    - firmware
  script:
    - bash build/build-ar71xx-generic.sh
  artifacts:
    paths:
      - build/output/images/

#build:ar71xx-nand:
#  stage: build
#  tags:
#    - firmware
#  script:
#    - bash build/build-ar71xx-nand.sh

sign:
  stage: sign
  tags:
    - firmware
  script:
    - bash build/sign.sh
  dependencies:
    - build:ar71xx-generic
#    - build:ar71xx-nand
  artifacts:
    paths:
      - build/output/images/

deploy:
  stage: deploy
  tags:
    - firmware
  script:
    - bash build/deploy.sh
  dependencies:
    - sign
